Package org.kapott.hbci.datatypes

# Class SyntaxWrt

java.lang.Object
org.kapott.hbci.datatypes.SyntaxDE
org.kapott.hbci.datatypes.SyntaxFloat
org.kapott.hbci.datatypes.SyntaxWrt

public final class SyntaxWrt extends SyntaxFloat

## Constructor Summary

Constructors
Constructor
Description
`SyntaxWrt(StringBuffer res, int minsize, int maxsize)`
`SyntaxWrt(String x, int minsize, int maxsize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init(StringBuffer res, int minsize, int maxsize)`
`void`
`init(String x, int minsize, int maxsize)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxFloat

`toString`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, init, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxWrt

public SyntaxWrt(String x, int minsize, int maxsize)

### SyntaxWrt

public SyntaxWrt(StringBuffer res, int minsize, int maxsize)

## Method Details

### init

public void init(String x, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxFloat`

### init

public void init(StringBuffer res, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxFloat`